CC=gcc
CFLAGS=-I.
DEPS = bresenham.h
OBJ = example.o bresenham.o 

%.o: %.c $(DEPS)
		$(CC) -c -o $@ $< $(CFLAGS)

all: bresenham

bresenham: $(OBJ)
		$(CC) -o $@ $^ $(CFLAGS)

.PHONY: clean

clean:
		rm -f *.o bresenham 
